%if %{?rhel}%{!?rhel:0} <= 5
  %global _initddir  %{_initrddir}
%endif

Name: dctcs-cli
Version: 2.0a
Release: 1%{?dist}
Summary: DigiCert TCS API Certificate Request and Provisioning Tool

Group: Applications/System
License: Apache 2.0
URL: https://software.nikhef.nl/experimental/tcstools/
Source: http://software.nikhef.nl/experimental/tcstools/dctcs-cli/%{name}-%{version}.tar.gz
Vendor: Nikhef
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: perl, perl(LWP), perl(POSIX), perl(File::Temp), perl(IO::Socket::SSL), perl(LWP::Protocol::https), perl(JSON), perl(strict) perl(vars)
Autoreq: 0 

Prefix: /usr/local

%description
Request and retrieve certificates from the TCS DigiCert service via the API.
Provisioning by default follows NDPF mechanisms, but can be flexibly
configured - if you know how.
Beware: using the API keys must be done with care, contact your TCS
contact before you try!

%prep

%setup

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_usr} ETC=$RPM_BUILD_ROOT%{_sysconfdir} CACHE=$RPM_BUILD_ROOT%{_localstatedir}/cache

%post

%preun

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dctcs-cli
%doc %{_defaultdocdir}/%{name}-%{version}

%changelog
* Thu Mar 19 2015 David Groep <davidg@nikhef.nl>
Initial build of version 2.0a from vlaai - Nikhef NDPF specific
